import { ProFormColumnsType } from '@ant-design/pro-components';

export function formConfig(): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '分销公司名称',
      dataIndex: 'companyName',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '分销公司描述',
      dataIndex: 'companyDesc',
      valueType: 'textarea',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
    {
      title: '分销公司地址',
      dataIndex: 'companyAddress',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
    {
      title: '联系人姓名',
      dataIndex: 'contactName',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '联系人电话',
      dataIndex: 'contactPhone',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '联系人邮箱',
      dataIndex: 'contactEmail',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
    {
      title: '备注',
      dataIndex: 'remark',
      valueType: 'textarea',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
  ];
}

export function itemFormConfig(
  list: { id: number; nickname: string }[],
  isEdit: boolean,
): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '账号昵称',
      dataIndex: 'nickname',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '账号密码',
      dataIndex: 'password',
      hideInForm: isEdit,
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '联系人电话',
      dataIndex: 'phoneNum',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '子账号列表',
      dataIndex: 'subAccountList',
      valueType: 'select',
      formItemProps: {
        style: { marginBottom: 10 },
      },
      fieldProps: {
        mode: 'multiple',
        showSearch: true,
      },
      valueEnum: new Map(list?.map((item) => [item.id, item.nickname])),
    },
    {
      title: '备注',
      dataIndex: 'remark',
      valueType: 'textarea',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
  ];
}
