import { ProFormColumnsType } from '@ant-design/pro-components';
function formConfig(
  enumList?: { [key: string]: any },
  getWechatMchAll?: any[],
): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '小程序appId',
      dataIndex: 'wechatAppId',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '小程序秘钥',
      dataIndex: 'appSecret',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '商户',
      dataIndex: 'mchId',
      valueType: 'select',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      valueEnum: () => {
        let arr = getWechatMchAll;
        return arr ? new Map([...arr]?.map(({ id, mchName }: any) => [id, mchName])) : {};
      },
    },
    {
      title: '小程序名称',
      dataIndex: 'appName',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '小程序类型',
      dataIndex: 'appCategory',
      valueType: 'radio',
      formItemProps: {
        initialValue: 2,
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      valueEnum: () => {
        let arr = enumList?.APP_CATEGORY?.values;
        return arr
          ? new Map([...arr]?.map(({ value, description }: any) => [value, description]))
          : {};
      },
    },
    {
      title: '小程序首页链接',
      dataIndex: 'homePage',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '小程序版本号',
      dataIndex: 'appVersion',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
    {
      dataIndex: 'configParamList',
      valueType: 'formList',
      colProps: {
        offset: 6,
      },
      fieldProps: {
        creatorButtonProps: {
          creatorButtonText: '新增小程序配置',
        },
      },
      formItemProps: {
        style: { marginBottom: 10 },
      },
      columns: [
        {
          valueType: 'dependency',
          name: ['configParamList'],
          formItemProps: {
            style: { marginBottom: 10 },
          },
          columns: ({ configParamList }) => {
            return [
              {
                valueType: 'group',
                columns: [
                  {
                    formItemProps: {
                      style: { marginBottom: 10 },
                    },
                  },
                  {
                    formItemProps: {
                      style: { marginBottom: 10 },
                    },
                  },
                ],
              },
            ];
          },
        },
      ],
    },
    {
      title: '备注',
      dataIndex: 'remark',
    },
  ];
}

export default formConfig;
