import { ProColumns } from '@ant-design/pro-components';

export const columns = (): ProColumns<any>[] => {
  return [
    {
      title: 'ID',
      dataIndex: 'id',
      key: 'id',
      align: 'center',
      width: 70,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: 'userId',
      dataIndex: 'userId',
      key: 'userId',
      align: 'center',
      width: 70,
      ellipsis: true,
    },
    {
      title: '小说名称',
      dataIndex: 'bookName',
      key: 'bookName',
      align: 'center',
      width: 150,
      ellipsis: true,
      render: (a, b) => {
        return b?.bookInfo?.bookName;
      },
    },
    {
      title: '章节名称',
      dataIndex: 'chapterId',
      align: 'center',
      width: 150,
      ellipsis: true,
      hideInSearch: true,
      render: (a, b) => {
        return b?.chapterInfo?.chapterName;
      },
    },
    {
      title: '应用名称',
      dataIndex: 'appName',
      key: 'appName',
      width: 120,
      align: 'center',
      ellipsis: true,
      render: (a, b) => {
        return b?.appInfo?.appName;
      },
    },
    {
      title: '分销商名称',
      dataIndex: 'companyName',
      key: 'companyName',
      width: 120,
      align: 'center',
      ellipsis: true,
      render: (a, b) => {
        return b?.distributorInfo?.companyName;
      },
    },
    {
      title: '变更类型',
      dataIndex: 'changeType',
      width: 120,
      align: 'center',
      ellipsis: true,
    },
    {
      title: '变更数量',
      dataIndex: 'coinChangeNum',
      width: 120,
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '剩余书币',
      dataIndex: 'coinRemainingNum',
      width: 120,
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '变更时间',
      dataIndex: 'createTime',
      width: 120,
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    //搜索
    {
      title: '变更时间',
      dataIndex: 'time',
      valueType: 'dateRange',
      fieldProps: {
        style: { width: 250 },
      },
      hideInTable: true,
    },
  ];
};
