import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 作者修改
 * @param data
 * @returns
 */
export async function apibookAuthorEdit(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookContent/admin/bookAuthor/${id}`, {
    method: 'PUT',
    data,
  });
}

/**
 * 作者新增
 * @param data
 * @returns
 */
export async function apibookAuthorAdd(data: any) {
  return request(api + '/bookContent/admin/bookAuthor', {
    method: 'POST',
    data,
  });
}
/**
 * 作者删除
 * @param data
 * @returns
 */
export async function apibookAuthorDel(id: any) {
  return request(api + `/bookContent/admin/bookAuthor/remove/one/${id}`, {
    method: 'DELETE',
  });
}
/**
 * 作者列表
 * @param corpId
 * @returns
 */
export async function apibookAuthorList(params: number) {
  return request(api + `/bookContent/admin/bookAuthor/list`, {
    method: 'GET',
    params,
  });
}
/**
 * 作者全部列表
 * @param corpId
 * @returns
 */
export async function apibookAuthorListAll() {
  return request(api + `/bookContent/admin/bookAuthor/listAll`, {
    method: 'GET',
  });
}
