import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 小程序组件配置更新
 * @param id
 */
export async function apiMiniappComponentInfoUpdate(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/appComponent/update/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 小程序组件配置状态更新
 * @param id
 */
export async function apiMiniappComponentInfoUpdateEnabled(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/appComponent/updateEnabled/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 小程序组件配置新增
 * @param componentName   组件名称
 * @param useEcology   组件使用平台
 * @param defaultComponentConfigList   组件配置参数 [{}]
 * @param remark   备注
 */
export async function apiMiniappComponentInfoSave(data: any) {
  return request(api + `/bookDistributionPlatform/admin/appComponent/save`, {
    method: 'POST',
    data,
  });
}

/**
 * 小程序组件配置分页列表
 * @param pageNum
 * @param pageSize
 * @param componentName   组件名称
 * @param useEcology   组件使用平台
 */
export async function apiMiniappComponentInfoPageList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/appComponent/pageList`, {
    method: 'GET',
    params,
  });
}
/**
 * 小程序组件配置列表
 */
export async function apiMiniappComponentInfoList() {
  return request(api + `/bookDistributionPlatform/admin/appComponent/list`, {
    method: 'GET',
  });
}

/**
 * 小程序组件配置详情
 * @param id
 */
export async function apiMiniappComponentInfoGetInfo(id: any) {
  return request(api + `/bookDistributionPlatform/admin/appComponent/get/${id}`, {
    method: 'GET',
  });
}

/**
 * 小程序删除
 * @param id
 */
export async function apiMiniappComponentInfoDel(id: any) {
  return request(api + `/bookDistributionPlatform/admin/appComponent/remove/${id}`, {
    method: 'DELETE',
  });
}
