import { api } from '@/services/api';
import { generateNewLocalMenu } from '@/utils/generateNewLocalMenu';
import { request } from '@umijs/max';
import routes from '../../config/routes';
export type MediaTypeProps = 'image';
/**
 * @param data 菜单参数 ["book"]
 */
export async function getMenu(data: any[]): Promise<any> {
  return request(api + '/erp/menu/getRouters', {
    method: 'PUT',
    data,
  })
    .then((res) => {
      let menus: any = [];
      for (let name of data) {
        let arr = generateNewLocalMenu(routes, res.data[name]);
        menus = [...menus, ...arr];
      }
      console.log('menus', menus);
      return menus;
    })
    .catch((err) => {
      console.log(err);
    });
}

/**
 * 上传
 * @param params
 * @returns
 */
export async function upLoadMediaApi(data: {
  mediaType: MediaTypeProps;
  multipartFile: FormData;
  suffix: string;
}) {
  let { multipartFile, ...params } = data;
  return request(api + `/bookContent/corp/media/upload`, {
    method: 'POST',
    data: multipartFile,
    params,
  });
}

/**
 * 获取OSS密钥
 * @param params filePrefix 文件名不带后缀 suffix 文件类型
 * @returns
 */
export async function getOssSecretKeyApi(params: { type: string }) {
  return request(api + `/bookContent/oss/form/upload`, {
    method: 'GET',
    params,
  });
}

/**枚举列表 */
export async function enumDictList() {
  return request(api + `/bookDistributionPlatform/admin/enumDict/list`, {
    method: 'GET',
  });
}
